## com.gargoylesoftware.htmlunit
Class DownloadedContent.InMemory

    java.lang.Object
      com.gargoylesoftware.htmlunit.DownloadedContent.InMemory

All Implemented Interfaces:
  DownloadedContent, java.io.Serializable

Enclosing interface:
  DownloadedContent

    public static class DownloadedContent.InMemory

extends java.lang.Object
implements DownloadedContent

Implementation keeping content in memory.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.gargoylesoftware.htmlunit.DownloadedContent
`DownloadedContent.InMemory, DownloadedContent.OnFile, DownloadedContent.OnTempFile`

Constructor Summary
`DownloadedContent.InMemory(byte[] byteArray)`

Method Summary
`java.io.InputStream` `getInputStream()` Returns a new `InputStream` allowing to read the downloaded content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownloadedContent.InMemory

    public DownloadedContent.InMemory(byte[] byteArray)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Description copied from interface: `DownloadedContent`
  Returns a new `InputStream` allowing to read the downloaded content.

  Specified by:
    `getInputStream` in interface `DownloadedContent`
  Returns:
    the InputStream

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.